Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225967 - Merge Review: kdevelop
Summary: Merge Review: kdevelop
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:15 UTC by Nobody's working on this, feel free to take it
Modified: 2015-01-08 13:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 14:30:24 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
gzip'd rpmlint output (deleted)
2007-03-08 16:29 UTC, Rex Dieter
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 19:15:37 UTC
Fedora Merge Review: kdevelop

http://cvs.fedora.redhat.com/viewcvs/devel/kdevelop/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-08 16:27:25 UTC
1.  SHOULD fix wrong-file-end-of-line-encoding warnings (see rpmlint.log)

2.  MUST add to %post/%postun scriptlets: /sbin/ldconfig

3.  SHOULD consider using versioned obsoletes:
Obsoletes: kdevelop-c_c++_ref <= 2.0.2 
?


Comment 2 Rex Dieter 2007-03-08 16:29:21 UTC
Created attachment 149580 [details]
gzip'd rpmlint output

Comment 3 Rex Dieter 2007-03-08 16:42:00 UTC
4.  SHOULD: package c_cpp_references-2.0.2 separately, imo.  (ie, why build and
upgrade users for this static item for *every* kdevelop rebuild?).

5.  SHOULD: omit configure flags:
  --with-qt-libraries=$QTDIR/lib \
  --with-qt-includes=$QTDIR/include \
  --with-extra-libs=%{_libdir}
I don't think they're needed (anymore).

the only MUST item, is relatively minor, and I'll trust you to adjust that
post-review, so APPROVED.

Comment 4 Rex Dieter 2007-06-20 14:30:24 UTC
MUST items are now in cvs, closing...

Comment 5 Jan Grulich 2015-01-08 09:35:45 UTC
Package Change Request
======================
Package Name: kdevelop
New Branches: epel7
Owners: jgrulich rdieter kkofler dvratil ltinkl rnovacek

Comment 6 Gwyn Ciesla 2015-01-08 13:48:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.